import { world, system } from "@minecraft/server";
import { CheckForPlayerWear } from "./armor_effects"


import "./guide_book/guide_book_main.js";
import "./storyteller_books/riseofrelic_book.js";
import "./storyteller_books/deathlydebacle_book.js";
import "./timechecker.js";
import "./deathcoods.js";
import "./forked_blade_knockback"
import "./tungsten_detector.js"
import "./infernal_tools/infernal_sword.js"
import "./infernal_tools/infernal_scythe.js"
import "./infernal_tools/bane_of_embers.js"
import "./cleaver_script.js"
import "./cog_axe.js"
import "./ruby_shop/ruby_shop_main.js"
import "./item_durability.js"
import "./armor_effects.js"
import "./raid_captain_dagger_effect.js"

//import armor effects scripts
//WIP
//to remove player.json

//import quests
import "./quests/mining_quest.js"
import "./quests/mage_quest.js"
import "./quests/easy_quest.js"
import "./quests/medium_quest.js"
import "./quests/hard_quest.js"
import "./quests/legendary_quest.js"
import "./quests/scroll_quest.js"
import "./quests/storyline_quest.js"
import "./quests/storyline_quests/storyline_ancient_stronghold_structure"
import "./quests/storyline_quests/storyline_illager_forge_structure"
import "./quests/storyline_quests/storyline_ancient_coregen_structure"
//import quest functions
import "./quests/obtainquestfunction.js"




//interval

system.runInterval(() => {
    CheckForPlayerWear()
}, 1);